Summary:    Alternative implementation of the MSN protocol plug-in for libpurple
Name:       pidgin-msn-pecan
Version:    0.1.3
Release:    %mkrel 10
License:    GPLv2+
Group:      Networking/Instant messaging
Source0:    http://msn-pecan.googlecode.com/files/msn-pecan-%version.tar.bz2
Patch1:     msn-pecan-0.1.3-use-system-libmspack.patch
URL:        http://code.google.com/p/msn-pecan/
BuildRequires:  pkgconfig(libmspack)
BuildRequires:  pidgin-devel

%description
This is an alternative implementation of the MSN protocol plug-in for
libpurple.

It's based on the code from 2.2.2 but slowly becoming a completely different
code.

Features include:

 * Support for personal messages
 * Server-side storage for display names (private alias)
 * Partial direct connection support (p2p transfers)
 * Improved network IO (using GIOChannel)
 * Improved error handling
 * Network issues tested with netem
 * GObject usage

%files
%doc README ChangeLog TODO
%{_libdir}/purple-2/libmsn-pecan.so

#---------------------------------------------------------------------
%prep
%setup -q -n msn-pecan-%version
rm -rf ext/libmspack
%patch1 -p1 -b .bundled-libmspack

%build
#gw don't use setup_compile_flags, we want to backport to 2008.1.
export CFLAGS="%optflags"
export LDFLAGS="%ldflags"
%make

%install
install -D -m0755 libmsn-pecan.so %buildroot%{_libdir}/purple-2/libmsn-pecan.so



%changelog
* Tue Feb 09 2016 umeabot <umeabot> 0.1.3-10.mga6
+ Revision: 952277
- Mageia 6 Mass Rebuild

* Sat Feb 07 2015 oden <oden> 0.1.3-9.mga5
+ Revision: 813892
- small correction

* Sat Feb 07 2015 shlomif <shlomif> 0.1.3-8.mga5
+ Revision: 813878
- Avoid bundled libmspack, and use the system one instead (MGA#15218).

* Wed Oct 15 2014 umeabot <umeabot> 0.1.3-7.mga5
+ Revision: 747479
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.3-6.mga5
+ Revision: 687586
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.3-5.mga4
+ Revision: 517443
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.3-4.mga3
+ Revision: 377729
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Apr 09 2012 shlomif <shlomif> 0.1.3-3.mga2
+ Revision: 229822
- Made the release higher than Mageia 1

* Mon Apr 09 2012 shlomif <shlomif> 0.1.3-1.mga2
+ Revision: 229815
- Convert tabs to spaces
- imported package pidgin-msn-pecan


* Tue Aug 02 2011 Götz Waschk <waschk@mandriva.org> 0.1.3-1mdv2012.0
+ Revision: 692805
- new version

* Thu May 05 2011 Götz Waschk <waschk@mandriva.org> 0.1.2-1
+ Revision: 669258
- update to new version 0.1.2

* Sat Sep 04 2010 Funda Wang <fwang@mandriva.org> 0.1.1-1mdv2011.0
+ Revision: 575803
- update to new version 0.1.1

* Sun Feb 28 2010 Götz Waschk <waschk@mandriva.org> 0.1.0-1mdv2010.1
+ Revision: 512509
- final 0.1.0 version

* Fri Feb 12 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.1.0-0.rc4.1mdv2010.1
+ Revision: 504571
- 0.1.0-rc4

* Fri Jan 29 2010 Götz Waschk <waschk@mandriva.org> 0.1.0-0.rc3.1mdv2010.1
+ Revision: 498134
- new prerelease

* Mon Jan 04 2010 Götz Waschk <waschk@mandriva.org> 0.1.0-0.rc2.1mdv2010.1
+ Revision: 486152
- new prerelease

* Mon Jul 20 2009 Götz Waschk <waschk@mandriva.org> 0.1.0-0.rc1.1mdv2010.0
+ Revision: 398050
- new version

* Wed Jun 24 2009 Götz Waschk <waschk@mandriva.org> 0.0.19-1mdv2010.0
+ Revision: 388848
- update to new version 0.0.19

* Mon Feb 16 2009 Götz Waschk <waschk@mandriva.org> 0.0.18-1mdv2009.1
+ Revision: 340726
- update to new version 0.0.18
- spec fix for backports

* Sun Nov 30 2008 Funda Wang <fwang@mandriva.org> 0.0.17-1mdv2009.1
+ Revision: 308554
- update to new version 0.0.17

* Wed Oct 22 2008 Götz Waschk <waschk@mandriva.org> 0.0.16-1mdv2009.1
+ Revision: 296399
- update to new version 0.0.16

* Fri Jul 25 2008 Funda Wang <fwang@mandriva.org> 0.0.14-1mdv2009.0
+ Revision: 248339
- import pidgin-msn-pecan


